/*
 * @Author: Badguy
 * @Date: 2022-04-11 11:08:35
 * @LastEditTime: 2022-04-14 13:34:30
 * @LastEditors: your name
 * @Description: 监管单位列表
 * have a nice day!
 */

import { GetRegList } from '@/api/section'

export default {
  data() {
    return {
      regulatorList: [],
      checkedRegulators: []
    }
  },
  methods: {
    regulatorCheckChangeHandler(checkedKeys) {
      this.checkedRegulators = this.regulatorList.filter(item => checkedKeys.includes(item.OrganId))
      // console.log(this.checkedRegulators)
    },
    async loadRegulatorList(keyWords, pageSize = 20, pageNum = 1) {
      try {
        this.$refs['regulatorList'].setLoading(true)
        const res = await GetRegList({
          size: pageSize,
          page: pageNum
        })
        if (res.code === 0) {
          const { records, pages } = res.returnData
          if (pageNum > 1) {
            this.regulatorList.push(...records)
          } else {
            this.regulatorList = records
          }
          this.$refs['regulatorList'].setTotal(pages)
          this.$refs['regulatorList'].setLoading(false)
        } else {
          this.$message.error(res.message)
          this.$refs['regulatorList'].setLoading(false)
        }
      } catch (error) {
        console.log('出错了', error)
        this.$refs['regulatorList'].setLoading(false)
      }
    }
  }
}
